using System;
using NinjaTrader.Cbi;

internal sealed class Delegate384 : MulticastDelegate
{
	public extern Instrument Invoke(object object_0);

	public static Instrument smethod_0(object object_0, Delegate384 delegate384_1)
	{
		return delegate384_1(object_0);
	}

	public extern Delegate384(object object_0, IntPtr intptr_0);

	static Delegate384()
	{
		Class10.smethod_13(typeof(Delegate384).TypeHandle);
	}

	internal static Delegate384 delegate384_0;
}
